org.mariadb.jdbc.internal.packet.result

## Class TextRowPacket

- java.lang.Object
- - org.mariadb.jdbc.internal.packet.result.TextRowPacket

All Implemented Interfaces:
  RowPacket

    public class TextRowPacket
    extends Object
    implements RowPacket

### Constructor Summary

Constructors
Constructor and Description
`TextRowPacket(int columnInformationLength)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`byte[][]` `getRow(ReadPacketFetcher packetFetcher, Buffer buffer)` Read text row stream.
`byte[][]` `getRow(ReadPacketFetcher packetFetcher, InputStream inputStream, int remaining, int read)` Read text row stream.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TextRowPacket

    public TextRowPacket(int columnInformationLength)

Constructor.

Parameters:
  `columnInformationLength` - number of column

### Method Detail

#### getRow

    public byte[][] getRow(ReadPacketFetcher packetFetcher,
                           Buffer buffer)
                    throws IOException

Read text row stream. (to fetch Resulset.next() datas)

Specified by:
  `getRow` in interface `RowPacket`
Parameters:
  `packetFetcher` - packetFetcher
  `buffer` - current buffer
Returns:
  datas object
Throws:
  `IOException` - if any connection error occur

#### getRow

    public byte[][] getRow(ReadPacketFetcher packetFetcher,
                           InputStream inputStream,
                           int remaining,
                           int read)
                    throws IOException

Read text row stream. (to fetch Resulset.next() datas)

Specified by:
  `getRow` in interface `RowPacket`
Parameters:
  `packetFetcher` - packetFetcher
  `inputStream` - inputStream
Returns:
  datas object
Throws:
  `IOException` - if any connection error occur